# Function mergeThunks

- mergeThunks(
  thunks: Thunk [],
  ): {
  controller: AbortController;
  result: Promise< ThunkStatusByUrl []>;
  status: Readable< ThunkStatusByUrl >;
  thunks: Thunk [];
  }

- #### Parameters

  - thunks: Thunk []

  #### Returns {
  controller: AbortController;
  result: Promise< ThunkStatusByUrl []>;
  status: Readable< ThunkStatusByUrl >;
  thunks: Thunk [];
  }

  - Defined in packages/app/src/thunk.ts:72